-- name: [PETS] Pikmin
-- description: Pikmin to follow you around!

if not _G.wpets then return end

local E_MODEL_PIKIRED = smlua_model_util_get_id('pikired_geo')
local E_MODEL_PIKIYELLOW = smlua_model_util_get_id('pikiyellow_geo')
local E_MODEL_PIKIBLUE = smlua_model_util_get_id('pikiblue_geo')

local ID_PIKIRED = _G.wpets.add_pet({
	name = "Red Pikmin", credit = "SwagSkeleton95",
	description = "A red pikmin.",
	modelID = E_MODEL_PIKIRED,
	scale = 1, yOffset = 0, flying = false
})

local ID_PIKIYELLOW = _G.wpets.add_pet({
	name = "Yellow Pikmin", credit = "SwagSkeleton95",
	description = "A yellow pikmin.",
	modelID = E_MODEL_PIKIYELLOW,
	scale = 1, yOffset = 0, flying = false
})

local ID_PIKIBLUE = _G.wpets.add_pet({
	name = "Blue Pikmin", credit = "SwagSkeleton95",
	description = "A blue pikmin.",
	modelID = E_MODEL_PIKIBLUE,
	scale = 1, yOffset = 0, flying = false
})

_G.wpets.set_pet_anims_2leg(ID_PIKIRED)
_G.wpets.set_pet_anims_2leg(ID_PIKIYELLOW)
_G.wpets.set_pet_anims_2leg(ID_PIKIBLUE)

_G.wpets.set_pet_sounds(ID_PIKIRED, {
	spawn = 'pluck6.mp3',
	happy = 'sigh2.mp3',
	vanish = 'death2.mp3',
	step = SOUND_OBJ_BOBOMB_WALK
})

_G.wpets.set_pet_sounds(ID_PIKIYELLOW, {
	spawn = 'pluck6.mp3',
	happy = 'sigh2.mp3',
	vanish = 'death2.mp3',
	step = SOUND_OBJ_BOBOMB_WALK
})

_G.wpets.set_pet_sounds(ID_PIKIBLUE, {
	spawn = 'pluck6.mp3',
	happy = 'sigh2.mp3',
	vanish = 'death2.mp3',
	step = SOUND_OBJ_BOBOMB_WALK
})